import request from '@/utils/request';

// 获取事件列表
export function getEvent(params) {
  return request({
    url: '/api/event_management/event/list',
    method: 'get',
    params: params
  });
}

// 新建事件
export function addEvent(data) {
  return request({
    url: '/api/event_management/event/create',
    method: 'post',
    data: data
  });
}

// 事件详情
export function getEventDetail(params) {
  return request({
    url: '/api/event_management/event/detail',
    method: 'get',
    params: params
  });
}

// 编辑事件
export function editEvent(params) {
  return request({
    url: '/api/event_management/event/edit',
    method: 'get',
    params: params
  });
}

export function postEditEvent(data) {
  return request({
    url: '/api/event_management/event/edit',
    method: 'post',
    data
  });
}

// 关闭事件
export function closeEvent(data) {
  return request({
    url: '/api/event_management/event/close',
    method: 'post',
    data: data
  });
}

// 开始指挥事件
export function startEvent(data) {
  return request({
    url: '/api/event_management/event/start',
    method: 'post',
    data: data
  });
}

// 删除事件
export function deleteEvent(data) {
  return request({
    url: '/api/event_management/event/delete',
    method: 'post',
    data: data
  });
}

// 上报伤亡情况
export function uploadEventCasualties(data) {
  return request({
    url: '/api/event_management/event/uploadEventCasualties',
    method: 'post',
    data: data
  });
}