import request from '@/utils/request';

export function getDrillList(params) {
  return request({
    url: '/api/emergency_plan/drill/list',
    method: 'get',
    params: params
  });
}
export function getTrainingList(params) {
  return request({
    url: '/api/emergency_plan/training/list',
    method: 'get',
    params: params
  });
}

export function getPlanList(params) {
  return request({
    url: '/api/emergency_plan/plan/list',
    method: 'get',
    params: params
  });
}

export function getPlanDetail(planId: string) {
  return request({
    url: '/api/emergency_plan/plan/' + planId,
    method: 'get'
  });
}

export function getResponseDetail(responseId) {
  return request({
    url: '/api/emergency_plan/plan/' + responseId,
    method: 'get'
  });
}

// 修改预案
export const updateReport = (data) => {
  return request({
    url: `/api/emergency_plan/plan/update`,
    method: 'put',
    data: data
  });
};

// 删除预案
export const deletePlan = (data) => {
  return request({
    url: `/api/emergency_plan/plan/delete`,
    method: 'delete',
    data: data
  });
};

// 新增预案
export const addReport = (data) => {
  return request({
    url: '/api/emergency_plan/plan/create',
    method: 'post',
    data: data
  });
};

// 新增培训记录
export const addTraining = (data) => {
  return request({
    url: '/api/emergency_plan/training/create',
    method: 'post',
    data: data
  });
};

// 修改培训记录
export const updateTraining = (data) => {
  return request({
    url: '/api/emergency_plan/training/update',
    method: 'put',
    data: data
  });
};

// 培训记录详情
export const getTrainingDetail = (trainingId) => {
  return request({
    url: '/api/emergency_plan/training/' + trainingId,
    method: 'get'
  });
};

// 删除培训记录
export const deleteTraining = (data) => {
  return request({
    url: '/api/emergency_plan/training/delete',
    method: 'delete',
    data: data
  });
};

export const listDrill = (params) => {
  return request({
    url: '/api/emergency_plan/drill/list',
    method: 'get',
    params: params
  });
};

// 新增演练记录
export const addDrill = (data) => {
  return request({
    url: '/api/emergency_plan/drill/create',
    method: 'post',
    data: data
  });
};

// 修改演练记录
export const updateDrill = (data) => {
  return request({
    url: '/api/emergency_plan/drill/update',
    method: 'put',
    data: data
  });
};

// 培训记录详情
export const getDrillDetail = (drillId) => {
  return request({
    url: '/api/emergency_plan/drill/' + drillId,
    method: 'get'
  });
};

// 删除培训记录
export const deleteDrill = (data) => {
  return request({
    url: '/api/emergency_plan/plan/drill/delete',
    method: 'delete',
    data: data
  });
};

// 查询响应记录
export function getResponseRecordList(params) {
  return request({
    url: '/api/emergency_plan/response/list',
    method: 'get',
    params: params
  });
}

/////////////
export const getUnitList = (params) => {
  return request({
    url: '/api/emergency_plan/unit/list',
    method: 'get',
    params: params
  });
};

// 新增职责记录
export const addUnit = (data) => {
  return request({
    url: '/api/emergency_plan/unit/create',
    method: 'post',
    data: data
  });
};

// 修改职责记录
export const updateUnit = (data) => {
  return request({
    url: '/api/emergency_plan/unit/update',
    method: 'put',
    data: data
  });
};

// 职责详情
export const getUnitDetail = (unitId) => {
  return request({
    url: '/api/emergency_plan/unit/' + unitId,
    method: 'get'
  });
};

// 删除职责记录
export const deleteUnit = (data) => {
  return request({
    url: '/api/emergency_plan/unit/delete',
    method: 'delete',
    data: data
  });
};

// 获取结构化文档
export const getDoc = (data) => {
  return request({
    url: '/api/emergency_plan/doc/detail',
    method: 'post',
    data: data
  });
};
